Package de.willuhn.jameica.hbci.passports.pintan

# Class FlickerToQrConverter

java.lang.Object
de.willuhn.jameica.hbci.passports.pintan.FlickerToQrConverter

public class FlickerToQrConverter extends Object
Konvertiert einen Flicker-Code in einen QR-Code. Siehe https://raw.githubusercontent.com/oezgueremir/hibiscus/1df66169e093439ebaf75b0427fbd57008be8218/src/de/willuhn/jameica/hbci/passports/pintan/server/QRDataFromFlickerData.java

## Constructor Summary

Constructors
Constructor
Description
`FlickerToQrConverter()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`convert(String flicker)`
Konvertiert den Flicker-Code in einen QR-Code.
`static byte[]`
`parseHexBinary(String hex)`
Parst den Text als HEX-String.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FlickerToQrConverter

public FlickerToQrConverter()

## Method Details

### convert

public static String convert(String flicker) throws IOException
Konvertiert den Flicker-Code in einen QR-Code.

Parameters:
  `flicker` - der Flicker-Code.
Returns:
  der QR-Code.
Throws:
  `IOException`

### parseHexBinary

public static byte[] parseHexBinary(String hex) throws IllegalArgumentException
Parst den Text als HEX-String.

Parameters:
  `hex` - der HEX-String.
Returns:
  Binaerdaten.
Throws:
  `IllegalArgumentException` - wenn die Eingabedaten kein lesbarer HEX-String waren.